Bug 1836358 - [4.2] Ingress unit tests consistently fail in openshift-controller-manager
Summary: [4.2] Ingress unit tests consistently fail in openshift-controller-manager
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Adam Kaplan
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-15 17:15 UTC by Adam Kaplan
Modified: 2020-05-19 18:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-19 18:16:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github adambkaplan openshift-controller-manager pull 1 None open Bug 1836358: Revert "Add route.spec.subdomain to internal and regenerate" 2020-06-18 14:21:10 UTC

Description Adam Kaplan 2020-05-15 17:15:25 UTC
Description of problem:

Unit tests for the Ingress controllers in openshift-controller-manager consistently fail in the 4.2 release branch. These failures are blocking a CVE fix from merging (https://bugzilla.redhat.com/show_bug.cgi?id=1802882).


Version-Release number of selected component (if applicable): 4.2.z


How reproducible: Always


Additional info:

https://deck-ci.apps.ci.l2s4.p1.openshiftapps.com/view/gcs/origin-ci-test/pr-logs/pull/openshift_openshift-controller-manager/65/pull-ci-openshift-openshift-controller-manager-release-4.2-unit/267

Comment 2 Miciah Dashiel Butler Masters 2020-05-18 20:15:01 UTC
https://github.com/adambkaplan/openshift-controller-manager/pull/1 fixes the failures.  It needs to be merged along with the bump, which is why I made it a PR to your bump branch instead of a PR to the release-4.2 branch.  Let me know if there is a better way to get the unit-test fix in.

Comment 5 Adam Kaplan 2020-05-19 18:16:21 UTC
Closing this and removing dependency - Miciah's commit has been added to https://github.com/openshift/openshift-controller-manager/pull/109.


Note You need to log in before you can comment on or make changes to this bug.